server:
  port: 8888
spring:
  main:
    allow-circular-references: true  #service 中有循环依赖需要设置为true
  # redis 配置
  redis:
    enable: true # 开启redis
    host: @redis.host@
    port: @redis.port@
  http:
    multipart:
      maxFileSize: 10Mb
      maxRequestSize: 10Mb
  application:
    name: outpatient-web   #门诊前置服务
  # datasource 配置
  datasource:
    ywtcenter:
      jdbcUrl: @db.ywtcenter.url@
      driver-class-name: com.mysql.jdbc.Driver
      username: @db.ywtcenter.username@
      password: @db.ywtcenter.password@
      initialSize: 10
      maxActive: 2000
      minIdle: 1
      maximumPoolSize: 200
      autoCommit: true
      poolName: HikariPool_center
      maxLifetime: 1800000
      connectionTestQuery: SELECT 1
  cloud:
    nacos:
      discovery:
        server-addr: @nacos.address@
        namespace: @nacos.namespace@
        username:
        password:
        metadata: # 保证微服务5s内能快速响应上线线
          preserved.heart.beat.interval: 1000 # 该实例在客户端上报心跳的间隔时间，单位为毫秒，默认为5s
          preserved.heart.beat.timeout: 5000 # 该实例在不发送心跳后，从健康到不健康的时间，单位为毫秒，默认为15s
          preserved.ip.delete.timeout: 5000 # 该实例在不发送心跳后，被nacos下掉该实例的时间，单位为毫秒
dubbo: #统一配置
  application:
    logger: slf4j
    qos-enable: false
  registry:
    address: nacos://@nacos.address@
    parameters:
      namespace: @nacos.namespace@
  protocol:  #协议  消费者端可不配置
    name: tri  #远triple协议
    port: 20882  #端口
  consumer:
    #远程服务调用重试次数，不包括第一次调用，不需要重试请设为0
    retries: 2
    check: false
#自定义参数
biz-param:
  web:
    ywtCovid19ListCount: @ywt.covid19.list.count@
    nearByDistance: @com.by.distance@
    byFtpAppid: @com.by.ftp.appid@
    byFtpAppsecret: @com.by.ftp.appsecret@
    byFtpUrl: @com.by.ftp.url@
  rpc:
    wxNfywtGenqrCodeFlag: @wx.nfywt.genqrcode.flag@
    ywtMsiteDomain: @ywt.msite.domain@

# 自定义参数：rest地址配置
com:
  ywt:
    restServiceMap: '[{"restName":"com.ywt.AlipayMpRestService","restIpPort":"120.77.174.122:8097"}]'

#自定义参数
buz-param:
  web:
    ywtCovid19ListCount: 100
    nearByDistance: 1000
    byFtpAppid: ywt_auto_test
    byFtpAppsecret: ywt1234567890
    byFtpUrl: https://nfbyphy-qa.ywtinfo.com/front-end-ftp-download/fptToHttpPath